> ## Documentation Index
> Fetch the complete documentation index at: https://developer.9squid.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger selection criteria (SC) on a deal

> Runs the selection criteria engine against all loans in the deal. Returns a job ID that can be polled for results.



## OpenAPI

````yaml api-reference/openapi.json POST /v1/api/originator/sc/run
openapi: 3.0.3
info:
  title: 9Squid Platform API Gateway
  description: >-
    Unified entry point for all Originator and Investor workflows on the 9Squid
    securitization platform.
  version: '1.0'
  x-readme:
    id: 9squid-docs
  contact: {}
servers:
  - url: https://api.9squid.com
    description: Production
  - url: https://sandbox.api.9squid.com
    description: Sandbox
security: []
tags:
  - name: Originator - Loans
    description: Loan tape upload and management
  - name: Originator - Pools
    description: Securitization pool management
  - name: Originator - Analytics
    description: ALM / TCT Risk analytics
  - name: Originator - Selection Criteria
    description: Stratification check runs and exceptions
  - name: Deal Room - Documents
    description: Document upload and management
  - name: Investor - Deals
    description: Browse and evaluate securitization deals
  - name: Investor - Portfolio
    description: Portfolio positions, summary and reports
  - name: Investor - Subscriptions & Allocations
    description: Order and allocation management
  - name: Alerts
    description: Notifications and alert management
  - name: Webhooks
    description: Webhook subscription and delivery management
paths:
  /v1/api/originator/sc/run:
    post:
      tags:
        - Originator - Selection Criteria
      summary: Trigger selection criteria (SC) on a deal
      description: >-
        Runs the selection criteria engine against all loans in the deal.
        Returns a job ID that can be polled for results.
      operationId: ScController_triggerRun
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - deal_id
              properties:
                deal_id:
                  type: string
                  description: Securitization Deal ID to run SC on
                  example: deal_abc123
      responses:
        '201':
          description: SC job triggered successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      sc_job_id:
                        type: string
                        example: scjob_abc123
                      deal_id:
                        example: deal_abc123
                        type: string
                      status:
                        type: string
                        example: RUNNING
        '400':
          description: deal_id is required
        '401':
          description: Unauthorized — invalid or missing API key
        '404':
          description: Deal not found
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````